# Class MarkupSheets2DApi`Alpha`

NOTE: This API is experimental, expect breaking changes in the future.

##### Index

### Constructors

constructor

### Properties

markupSheetsLayer

### Accessors

version

### Methods

getOrLoadSheets
unloadSheets

## Constructors

### constructor

- new MarkupSheets2DApi(_api: BimApi): MarkupSheets2DApi
  `Alpha`

  #### Parameters

  - _api: BimApi

  #### Returns MarkupSheets2DApi

## Properties

### `Static` `Readonly` `Alpha` markupSheetsLayer

markupSheetsLayer: "markup_sheets" = 'markup_sheets'

## Accessors

### version

- get version(): DtoVersion
  `Alpha`

  Gets the current dto (data transfer object) version. This version represents the version of the layer API, this version will be assigned to every sheet collection that is saved via this api. If your local version is lower than the one saved to the layer API you will not be able to load the markups from that sheet collection.

  #### Returns DtoVersion

## Methods

### getOrLoadSheets

- getOrLoadSheets(
  change: BimChangeBlob | BimChangeDwg,
  observableFactory: () => Observable<MarkupLayerEvent2D>,
  ): Promise<LayerFailure | MarkupSheet2DCollection>
  `Alpha`

  Load sheets from LayersApi.

  #### Parameters

  - change: BimChangeBlob | BimChangeDwg

    Change to load the sheets from.

  - observableFactory: () => Observable<MarkupLayerEvent2D>

    Function that should return the observable that will be notified when a layer event happens.

  #### Returns Promise<LayerFailure | MarkupSheet2DCollection>

  Either the Layer or a LayerFailure. Use isFailure to check if the return value is a LayerFailure or a Layer.

### unloadSheets

- unloadSheets(change: BimChangeBlob | BimChangeDwg): boolean
  `Alpha`

  Unload sheets layer.

  #### Parameters

  - change: BimChangeBlob | BimChangeDwg

    The change to unload sheets from.

  #### Returns boolean

  True if the sheets layer was unloaded, otherwise false.